summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-07-01 00:10:16 +0000
committerMike Frysinger <vapier@gentoo.org>2005-07-01 00:10:16 +0000
commitf12af6c9ca4c5795b460a01a476f3f7b90ed4ee3 (patch)
treec1cefad8700ea25cd257f7b6a8868d7262dfac8a /test
parentffbec081e48741e831f578bfa180705c3202f75f (diff)
update tests to check exit status and abort only if things didnt work correctly
Diffstat (limited to 'test')
-rw-r--r--test/silly/Makefile15
1 files changed, 6 insertions, 9 deletions
diff --git a/test/silly/Makefile b/test/silly/Makefile
index a948b1ba8..290dfc045 100644
--- a/test/silly/Makefile
+++ b/test/silly/Makefile
@@ -33,45 +33,42 @@ hello_source:
hello: hello.c Makefile $(TESTDIR)/Rules.mak
-@ echo "-------"
-@ echo " "
- -@ echo "Compiling vs uClibc: "
+ -@ echo "Compiling $@ vs uClibc: "
-@ echo " "
$(CC) $(CFLAGS) -c $< -o $@.o
$(CC) $(LDFLAGS) $@.o -o $@ $(EXTRA_LIBS)
$(STRIPTOOL) -x -R .note -R .comment $@
-$(LDD) $@
ls -l $@
- ./$@
+ ./$@ ; ret=$$? ; test $$ret -eq 42
-@ echo " "
hello_glibc: hello.c Makefile
-@ echo "-------"
-@ echo " "
- -@ echo "Compiling vs GNU libc: "
+ -@ echo "Compiling $@ vs GNU libc: "
-@ echo " "
$(HOSTCC) $(GLIBC_CFLAGS) -c $< -o $@.o
$(HOSTCC) $(GLIBC_LDFLAGS) $@.o -o $@
$(STRIPTOOL) -x -R .note -R .comment $@
-$(LDD) $@
ls -l $@
- ./$@
+ ./$@ ; ret=$$? ; test $$ret -eq 42
-@ echo " "
tiny: tiny.c Makefile $(TESTDIR)/Rules.mak
-@ echo "-------"
-@ echo " "
- -@ echo "Compiling vs uClibc: "
+ -@ echo "Compiling $@ vs uClibc: "
-@ echo " "
$(CC) $(CFLAGS) -c $< -o $@.o
$(CC) $(LDFLAGS) $@.o -o $@ $(EXTRA_LIBS)
$(STRIPTOOL) -x -R .note -R .comment $@
-$(LDD) $@
ls -l $@
- ./$@
+ ./$@ ; ret=$$? ; test $$ret -eq 42
-@ echo " "
-
clean:
$(RM) *.[oa] *~ core $(TARGETS)
-
-